List Call Logs
curl --request GET \
--url https://api.tryhamsa.com/v1/agent-analytics/logs \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v1/agent-analytics/logs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v1/agent-analytics/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "8b4c8c7d-8b4c-4c7d-8b4c-4c7d8b4c7d8b",
"type": "ERROR",
"category": "call",
"nodeId": "node_id",
"message": "Error message",
"payload": {},
"timestamp": "2023-07-01T00:00:00.000Z",
"jobId": "8b4c8c7d-8b4c-4c7d-8b4c-4c7d8b4c7d8b",
"createdAt": "2023-07-01T00:00:00.000Z",
"updatedAt": "2023-07-01"
}
]
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Exporting Conversations
List Call Logs
Retrieves a list of call logs for a specific job.
GET
/
v1
/
agent-analytics
/
logs
List Call Logs
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Query Parameters
The unique identifier of the job.
Example:
"48f7656f-098b-4c43-b165-7cfd2cc8ac30"
Was this page helpful?
⌘I